TransactionDataRebalancedException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: TransactionDataRebalancedException

Package org.apache.geode.cache

# Class TransactionDataRebalancedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheException
org.apache.geode.cache.TransactionException
org.apache.geode.cache.TransactionDataRebalancedException

All Implemented Interfaces:
  `Serializable`

public class TransactionDataRebalancedException extends TransactionException
Thrown when a `RebalanceOperation` occurs concurrently with a transaction. This can be thrown while doing transactional operations or during commit.

This exception only occurs when a transaction involves partitioned regions.

Since:
  GemFire 6.6
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionDataRebalancedException(String s)`
  `TransactionDataRebalancedException(String message, Throwable cause)`
  `TransactionDataRebalancedException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.CacheException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TransactionDataRebalancedException

    public TransactionDataRebalancedException(String s)

  - ### TransactionDataRebalancedException

    public TransactionDataRebalancedException(Throwable cause)

  - ### TransactionDataRebalancedException

    public TransactionDataRebalancedException(String message, Throwable cause)